Update a customer
curl --request PUT \
--url https://api.example.com/customers/{customerId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"legalName": "Dunder Mifflin",
"taxId": "ABC101010111",
"taxSystem": "601",
"email": "email@example.com",
"phone": "6474010101",
"defaultInvoiceUse": "G01",
"addressStreet": "<string>",
"addressExterior": "<string>",
"addressInterior": "<string>",
"addressNeighborhood": "<string>",
"addressCity": "<string>",
"addressMunicipality": "<string>",
"addressZip": "<string>",
"addressState": "<string>",
"addressCountry": "<string>"
}
'import requests
url = "https://api.example.com/customers/{customerId}"
payload = {
"legalName": "Dunder Mifflin",
"taxId": "ABC101010111",
"taxSystem": "601",
"email": "email@example.com",
"phone": "6474010101",
"defaultInvoiceUse": "G01",
"addressStreet": "<string>",
"addressExterior": "<string>",
"addressInterior": "<string>",
"addressNeighborhood": "<string>",
"addressCity": "<string>",
"addressMunicipality": "<string>",
"addressZip": "<string>",
"addressState": "<string>",
"addressCountry": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
legalName: 'Dunder Mifflin',
taxId: 'ABC101010111',
taxSystem: '601',
email: 'email@example.com',
phone: '6474010101',
defaultInvoiceUse: 'G01',
addressStreet: '<string>',
addressExterior: '<string>',
addressInterior: '<string>',
addressNeighborhood: '<string>',
addressCity: '<string>',
addressMunicipality: '<string>',
addressZip: '<string>',
addressState: '<string>',
addressCountry: '<string>'
})
};
fetch('https://api.example.com/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "590ce6c56d04f840aa8438af",
"organizationId": "org-uuid",
"legalName": "Dunder Mifflin",
"taxId": "ABC101010111",
"taxSystem": "601",
"email": "email@example.com",
"defaultInvoiceUse": "G01",
"address": {
"street": "Blvd. Atardecer",
"exterior": "142",
"neighborhood": "Centro",
"city": "Huatabampo",
"municipality": "Huatabampo",
"zip": "86500",
"state": "Sonora",
"country": "MEX",
"interior": "4"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"phone": "6474010101"
}customers
Update a customer
PUT
/
customers
/
{customerId}
Update a customer
Authorizations
apiKeybearer
API Key for authentication (format: sk_...)
Headers
Required for Supabase session auth. Ignored when authenticating with an API key (the organization resolves from the key).
Path Parameters
Body
application/json
Customer legal name
Example:
"Dunder Mifflin"
Mexican RFC
Example:
"ABC101010111"
SAT tax system code
Example:
"601"
Customer email
Example:
"email@example.com"
Customer phone
Example:
"6474010101"
Default CFDI use code
Example:
"G01"
Street name
Exterior number
Interior number
Neighborhood
City
Municipality
ZIP code
State
Country code
Response
Example:
"590ce6c56d04f840aa8438af"
Example:
"org-uuid"
Example:
"Dunder Mifflin"
Example:
"ABC101010111"
Example:
"601"
Example:
"email@example.com"
Example:
"G01"
Show child attributes
Show child attributes
Example:
"6474010101"